{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <link rel = "shortcut icon" href ="{% static 'userMenu/images/icon.ico' %}" type = "image/x-icon"/>
        <link type = "text/css" href = "{% static 'userMenu/css/Style.css' %}" rel = "stylesheet" />
        <meta charset="UTF-8">
        <title>{{ title }}</title>
    </head>
    <body>
        <header>
            <p><a href="{% url 'categoriew'%}" class="logo-link">SOC BAR</a></p>

        
        </header>
        <hr>
        <p class="user">
            {% if request.user.is_authenticated %}

                <a class="header-link" href="{% url 'dashboard' %}">My dashboard | </a> 
                <a class="header-link" href="{% url 'logout' %}">Logout</a>
            {% else %}
                <a class="header-link" href="{% url 'login' %}">Log-in</a>
            {% endif %}
        </p>
        {% block bodyBl %}
        {% endblock %}
    </body>
    <hr>
    <footer>
        
        <div class="cart-footer">
            {% with total_items=cart|length %}
                {% if cart|length > 0 %}
                    <span class="footer-p">Your cart:</span>
                    <a href="{% url 'cart_detail' %}" class="footer-l">
                        {{ total_items }} &nbsp;item{{ total_items|pluralize }},&ensp;
                        ${{ cart.get_total_price }}
                    </a>
                {% else %}
                    Your cart is empty.
                {% endif %}
            {% endwith %}
        </div>
    </footer>
    <script src="{% static 'userMenu/js/script.js' %}">  </script>
</html>